Bug 219222 - [PATCH] devel/llvm40: Bump dependencies to allow python 3 support
Summary: [PATCH] devel/llvm40: Bump dependencies to allow python 3 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brooks Davis
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-05-11 14:39 UTC by Daniel Ylitalo
Modified: 2017-05-24 23:41 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments
Updates swig dependency from 1.3 to 3.0 and unbreak for python 3 (3.95 KB, patch)
2017-05-11 14:39 UTC, Daniel Ylitalo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Ylitalo 2017-05-11 14:39:29 UTC
Created attachment 182514 [details]
Updates swig dependency from 1.3 to 3.0 and unbreak for python 3

According to the LLDB website it should run and build fine with python 3 and swig 3 (there is even included tests for it)

So attached patch bumps the swig dependency from swig 1.3 to 3.0 that comes with python 3 support

This allows firefox and other ports to be built with both python 2.7 and 3+ as default version in the ports tree.

Passes poudriere testport with both 2.7 and 3.6 as python default version
Comment 1 Brooks Davis freebsd_committer 2017-05-11 23:40:19 UTC
Thanks!  I'll commit this in the next update since the 4.0.1 release cycle is on.
Comment 2 commit-hook freebsd_committer 2017-05-18 01:00:54 UTC
A commit references this bug:

Author: brooks
Date: Thu May 18 01:00:23 UTC 2017
New revision: 441125
URL: https://svnweb.freebsd.org/changeset/ports/441125

Log:
  Update to new snapshot.

  Allow build with Python 3 as default[0].

  PR:		219222 [0]
  Submitted by:	daniel@blodan.se [0]

Changes:
  head/devel/llvm-devel/Makefile
  head/devel/llvm-devel/Makefile.snapshot
  head/devel/llvm-devel/distinfo
  head/devel/llvm-devel/files/clang-patch-fopenmp.diff
  head/devel/llvm-devel/files/clang-patch-tools_clang_lib_Headers_CMakeLists.txt
  head/devel/llvm-devel/pkg-plist
Comment 3 commit-hook freebsd_committer 2017-05-24 22:15:17 UTC
A commit references this bug:

Author: brooks
Date: Wed May 24 22:14:15 UTC 2017
New revision: 441623
URL: https://svnweb.freebsd.org/changeset/ports/441623

Log:
  Adapt to ino64 changes.[0]

  Bump dependencies to allow python 3 support.[1]

  PR:		219222 [1]
  Submitted by:	kib [0], Daniel Ylitalo <daniel@blodan.se> [1]
  Reviewed by:	emaste [0]
  Differential Revision:	https://reviews.freebsd.org/D10797

Changes:
  head/devel/llvm40/Makefile
  head/devel/llvm40/files/compiler-rt-patch-canonical-syscalls
  head/devel/llvm40/files/compiler-rt-patch-ino64
  head/devel/llvm40/pkg-plist
Comment 4 commit-hook freebsd_committer 2017-05-24 23:16:07 UTC
A commit references this bug:

Author: brooks
Date: Wed May 24 23:15:01 UTC 2017
New revision: 441627
URL: https://svnweb.freebsd.org/changeset/ports/441627

Log:
  Adapt to ino64 changes.[0]

  Bump dependencies to allow python 3 support.[1]

  PR:		219502 [0], 219222 [1]
  Submitted by:	kib [0], Daniel Ylitalo <daniel@blodan.se> [1]
  Reviewed by:	emaste [0]
  Differential Revision:	https://reviews.freebsd.org/D10796

Changes:
  head/devel/llvm39/Makefile
  head/devel/llvm39/files/compiler-rt-patch-canonical-syscalls
  head/devel/llvm39/files/compiler-rt-patch-ino64
  head/devel/llvm39/pkg-plist
Comment 5 Brooks Davis freebsd_committer 2017-05-24 23:41:46 UTC
Committed to llvm39, llvm40, and llvm-devel.  I'll to further changes upon request, but this seems like the most useful set for now.